Get the product location information for a consignment

Path Parameters
  • consignmentId
    Type: string Format: uuid
    required
Responses
  • application/json
Request Example for get/v1/consignments/{consignmentId}/product-location
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/product-location
{
  "consignmentProducts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "conversions": [
        {
          "metricResolution": "enum (Compound = 1, Cascade = 2)",
          "metricResolutionName": null,
          "metrics": [
            {
              "inventoryUnitType": "enum (Item = 1, VirtualPallet = 2, UnitType = 3)",
              "unitTypeId": null,
              "unitTypeName": null,
              "quantity": 1
            }
          ]
        }
      ],
      "locations": [
        {
          "warehouseLocationId": "123e4567-e89b-12d3-a456-426614174000",
          "warehouseLocationName": null,
          "inventoryReceiptId": "123e4567-e89b-12d3-a456-426614174000",
          "receivedDate": "date (YYYY-MM-DD)",
          "receivedUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
          "receivedQuantity": 1,
          "receivedVolumeM3": 1,
          "receivedWeightKG": 1,
          "pickedQuantity": 1,
          "pickedVolumeM3": 1,
          "pickedWeightKG": 1,
          "dispatchedQuantity": 1,
          "dispatchedVolumeM3": 1,
          "dispatchedWeightKG": 1
        }
      ]
    }
  ]
}